Next Commerce
API ReferenceStorefront

Themes Templates Destroy

Delete an existing template in an existing theme.

DELETE
/themes/{id}/templates/

Authorization

oauth2 themes:write
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: themes:write

Path Parameters

id*integer

A unique integer value identifying this theme.

Header Parameters

X-29next-API-Version*string
Default"2024-04-01"
Value in"2024-04-01"

Response Body

curl -X DELETE "https://example.29next.store/api/admin/themes/0/templates/" \
  -H "X-29next-API-Version: 2024-04-01" \
  -H "Authorization: Bearer "
Empty